net.sourceforge.pmd.lang.cpp.ast

## Interface CppParserConstants

- All Known Implementing Classes:
    CppParserTokenManager

      public interface CppParserConstants

  Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `_DEFAULT` RegularExpression Id.
    `static int` | `AMPERSAND` RegularExpression Id.
    `static int` | `AND` RegularExpression Id.
    `static int` | `ARROWSTAR` RegularExpression Id.
    `static int` | `ASSIGNEQUAL` RegularExpression Id.
    `static int` | `AUTO` RegularExpression Id.
    `static int` | `BITWISEANDEQUAL` RegularExpression Id.
    `static int` | `BITWISEOR` RegularExpression Id.
    `static int` | `BITWISEOREQUAL` RegularExpression Id.
    `static int` | `BITWISEXOR` RegularExpression Id.
    `static int` | `BITWISEXOREQUAL` RegularExpression Id.
    `static int` | `BREAK` RegularExpression Id.
    `static int` | `CASE` RegularExpression Id.
    `static int` | `CATCH` RegularExpression Id.
    `static int` | `CHAR` RegularExpression Id.
    `static int` | `CHARACTER` RegularExpression Id.
    `static int` | `CLASS` RegularExpression Id.
    `static int` | `COLON` RegularExpression Id.
    `static int` | `COMMA` RegularExpression Id.
    `static int` | `CONST` RegularExpression Id.
    `static int` | `CONTINUE` RegularExpression Id.
    `static int` | `DECIMALINT` RegularExpression Id.
    `static int` | `DECIMALLONG` RegularExpression Id.
    `static int` | `DEFAULT` Lexical state.
    `static int` | `DELETE` RegularExpression Id.
    `static int` | `DIVIDE` RegularExpression Id.
    `static int` | `DIVIDEEQUAL` RegularExpression Id.
    `static int` | `DO` RegularExpression Id.
    `static int` | `DOT` RegularExpression Id.
    `static int` | `DOTSTAR` RegularExpression Id.
    `static int` | `DOUBLE` RegularExpression Id.
    `static int` | `ELLIPSIS` RegularExpression Id.
    `static int` | `ELSE` RegularExpression Id.
    `static int` | `ENUM` RegularExpression Id.
    `static int` | `EOF` End of File.
    `static int` | `EQUAL` RegularExpression Id.
    `static int` | `EXTERN` RegularExpression Id.
    `static int` | `FALSETOK` RegularExpression Id.
    `static int` | `FLOAT` RegularExpression Id.
    `static int` | `FLOATONE` RegularExpression Id.
    `static int` | `FLOATTWO` RegularExpression Id.
    `static int` | `FOR` RegularExpression Id.
    `static int` | `FRIEND` RegularExpression Id.
    `static int` | `GOTO` RegularExpression Id.
    `static int` | `GREATERTHAN` RegularExpression Id.
    `static int` | `GREATERTHANOREQUALTO` RegularExpression Id.
    `static int` | `HEXADECIMALINT` RegularExpression Id.
    `static int` | `HEXADECIMALLONG` RegularExpression Id.
    `static int` | `ID` RegularExpression Id.
    `static int` | `IF` RegularExpression Id.
    `static int` | `IN_COMMENT` Lexical state.
    `static int` | `IN_LINE_COMMENT` Lexical state.
    `static int` | `IN_PREPROCESSOR_OUTPUT_COMMENT` Lexical state.
    `static int` | `INLINE` RegularExpression Id.
    `static int` | `INT` RegularExpression Id.
    `static int` | `LCURLYBRACE` RegularExpression Id.
    `static int` | `LESSTHAN` RegularExpression Id.
    `static int` | `LESSTHANOREQUALTO` RegularExpression Id.
    `static int` | `LONG` RegularExpression Id.
    `static int` | `LPARENTHESIS` RegularExpression Id.
    `static int` | `LSQUAREBRACKET` RegularExpression Id.
    `static int` | `MINUS` RegularExpression Id.
    `static int` | `MINUSEQUAL` RegularExpression Id.
    `static int` | `MINUSMINUS` RegularExpression Id.
    `static int` | `MOD` RegularExpression Id.
    `static int` | `MODEQUAL` RegularExpression Id.
    `static int` | `NEW` RegularExpression Id.
    `static int` | `NOT` RegularExpression Id.
    `static int` | `NOTEQUAL` RegularExpression Id.
    `static int` | `OCTALINT` RegularExpression Id.
    `static int` | `OCTALLONG` RegularExpression Id.
    `static int` | `OPERATOR` RegularExpression Id.
    `static int` | `OR` RegularExpression Id.
    `static int` | `PLUS` RegularExpression Id.
    `static int` | `PLUSEQUAL` RegularExpression Id.
    `static int` | `PLUSPLUS` RegularExpression Id.
    `static int` | `POINTERTO` RegularExpression Id.
    `static int` | `PREPROCESSOR_OUTPUT` Lexical state.
    `static int` | `PRIVATE` RegularExpression Id.
    `static int` | `PROTECTED` RegularExpression Id.
    `static int` | `PUBLIC` RegularExpression Id.
    `static int` | `QUESTIONMARK` RegularExpression Id.
    `static int` | `RCURLYBRACE` RegularExpression Id.
    `static int` | `REDECLARED` RegularExpression Id.
    `static int` | `REGISTER` RegularExpression Id.
    `static int` | `RETURN` RegularExpression Id.
    `static int` | `RPARENTHESIS` RegularExpression Id.
    `static int` | `RSQUAREBRACKET` RegularExpression Id.
    `static int` | `SCOPE` RegularExpression Id.
    `static int` | `SEMICOLON` RegularExpression Id.
    `static int` | `SHIFTLEFT` RegularExpression Id.
    `static int` | `SHIFTLEFTEQUAL` RegularExpression Id.
    `static int` | `SHIFTRIGHT` RegularExpression Id.
    `static int` | `SHIFTRIGHTEQUAL` RegularExpression Id.
    `static int` | `SHORT` RegularExpression Id.
    `static int` | `SIGNED` RegularExpression Id.
    `static int` | `SIZEOF` RegularExpression Id.
    `static int` | `STAR` RegularExpression Id.
    `static int` | `STATIC` RegularExpression Id.
    `static int` | `STRING` RegularExpression Id.
    `static int` | `STRUCT` RegularExpression Id.
    `static int` | `SWITCH` RegularExpression Id.
    `static int` | `TEMPLATE` RegularExpression Id.
    `static int` | `THIS` RegularExpression Id.
    `static int` | `THROW` RegularExpression Id.
    `static int` | `TILDE` RegularExpression Id.
    `static int` | `TIMESEQUAL` RegularExpression Id.
    `static String[]` | `tokenImage` Literal token values.
    `static int` | `TRUETOK` RegularExpression Id.
    `static int` | `TRY` RegularExpression Id.
    `static int` | `TYPEDEF` RegularExpression Id.
    `static int` | `UNION` RegularExpression Id.
    `static int` | `UNSIGNED` RegularExpression Id.
    `static int` | `UNSIGNED_DECIMALINT` RegularExpression Id.
    `static int` | `UNSIGNED_DECIMALLONG` RegularExpression Id.
    `static int` | `UNSIGNED_HEXADECIMALINT` RegularExpression Id.
    `static int` | `UNSIGNED_HEXADECIMALLONG` RegularExpression Id.
    `static int` | `UNSIGNED_OCTALINT` RegularExpression Id.
    `static int` | `UNSIGNED_OCTALLONG` RegularExpression Id.
    `static int` | `VIRTUAL` RegularExpression Id.
    `static int` | `VOID` RegularExpression Id.
    `static int` | `VOLATILE` RegularExpression Id.
    `static int` | `WHILE` RegularExpression Id.

- - ### Field Detail

    - #### EOF

          static final int EOF

      End of File.
      See Also:
        Constant Field Values

    - #### LCURLYBRACE

          static final int LCURLYBRACE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RCURLYBRACE

          static final int RCURLYBRACE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LSQUAREBRACKET

          static final int LSQUAREBRACKET

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RSQUAREBRACKET

          static final int RSQUAREBRACKET

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LPARENTHESIS

          static final int LPARENTHESIS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RPARENTHESIS

          static final int RPARENTHESIS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SCOPE

          static final int SCOPE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COLON

          static final int COLON

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SEMICOLON

          static final int SEMICOLON

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COMMA

          static final int COMMA

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### QUESTIONMARK

          static final int QUESTIONMARK

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ELLIPSIS

          static final int ELLIPSIS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ASSIGNEQUAL

          static final int ASSIGNEQUAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TIMESEQUAL

          static final int TIMESEQUAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DIVIDEEQUAL

          static final int DIVIDEEQUAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MODEQUAL

          static final int MODEQUAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PLUSEQUAL

          static final int PLUSEQUAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MINUSEQUAL

          static final int MINUSEQUAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SHIFTLEFTEQUAL

          static final int SHIFTLEFTEQUAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SHIFTRIGHTEQUAL

          static final int SHIFTRIGHTEQUAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BITWISEANDEQUAL

          static final int BITWISEANDEQUAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BITWISEXOREQUAL

          static final int BITWISEXOREQUAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BITWISEOREQUAL

          static final int BITWISEOREQUAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OR

          static final int OR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### AND

          static final int AND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BITWISEOR

          static final int BITWISEOR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BITWISEXOR

          static final int BITWISEXOR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### AMPERSAND

          static final int AMPERSAND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EQUAL

          static final int EQUAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NOTEQUAL

          static final int NOTEQUAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LESSTHAN

          static final int LESSTHAN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GREATERTHAN

          static final int GREATERTHAN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LESSTHANOREQUALTO

          static final int LESSTHANOREQUALTO

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GREATERTHANOREQUALTO

          static final int GREATERTHANOREQUALTO

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SHIFTLEFT

          static final int SHIFTLEFT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SHIFTRIGHT

          static final int SHIFTRIGHT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PLUS

          static final int PLUS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MINUS

          static final int MINUS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STAR

          static final int STAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DIVIDE

          static final int DIVIDE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MOD

          static final int MOD

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PLUSPLUS

          static final int PLUSPLUS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MINUSMINUS

          static final int MINUSMINUS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TILDE

          static final int TILDE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NOT

          static final int NOT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DOT

          static final int DOT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### POINTERTO

          static final int POINTERTO

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DOTSTAR

          static final int DOTSTAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ARROWSTAR

          static final int ARROWSTAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### AUTO

          static final int AUTO

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BREAK

          static final int BREAK

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CASE

          static final int CASE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CATCH

          static final int CATCH

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CHAR

          static final int CHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CONST

          static final int CONST

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CONTINUE

          static final int CONTINUE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### _DEFAULT

          static final int _DEFAULT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DELETE

          static final int DELETE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DO

          static final int DO

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DOUBLE

          static final int DOUBLE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ELSE

          static final int ELSE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ENUM

          static final int ENUM

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EXTERN

          static final int EXTERN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FLOAT

          static final int FLOAT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FOR

          static final int FOR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FRIEND

          static final int FRIEND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GOTO

          static final int GOTO

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IF

          static final int IF

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INLINE

          static final int INLINE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INT

          static final int INT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LONG

          static final int LONG

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NEW

          static final int NEW

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PRIVATE

          static final int PRIVATE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PROTECTED

          static final int PROTECTED

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PUBLIC

          static final int PUBLIC

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### REDECLARED

          static final int REDECLARED

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### REGISTER

          static final int REGISTER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RETURN

          static final int RETURN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SHORT

          static final int SHORT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SIGNED

          static final int SIGNED

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SIZEOF

          static final int SIZEOF

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STATIC

          static final int STATIC

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRUCT

          static final int STRUCT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CLASS

          static final int CLASS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SWITCH

          static final int SWITCH

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TEMPLATE

          static final int TEMPLATE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### THIS

          static final int THIS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TRY

          static final int TRY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TYPEDEF

          static final int TYPEDEF

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### UNION

          static final int UNION

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### UNSIGNED

          static final int UNSIGNED

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### VIRTUAL

          static final int VIRTUAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### VOID

          static final int VOID

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### VOLATILE

          static final int VOLATILE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### WHILE

          static final int WHILE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OPERATOR

          static final int OPERATOR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TRUETOK

          static final int TRUETOK

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FALSETOK

          static final int FALSETOK

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### THROW

          static final int THROW

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OCTALINT

          static final int OCTALINT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OCTALLONG

          static final int OCTALLONG

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### UNSIGNED_OCTALINT

          static final int UNSIGNED_OCTALINT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### UNSIGNED_OCTALLONG

          static final int UNSIGNED_OCTALLONG

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DECIMALINT

          static final int DECIMALINT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DECIMALLONG

          static final int DECIMALLONG

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### UNSIGNED_DECIMALINT

          static final int UNSIGNED_DECIMALINT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### UNSIGNED_DECIMALLONG

          static final int UNSIGNED_DECIMALLONG

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### HEXADECIMALINT

          static final int HEXADECIMALINT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### HEXADECIMALLONG

          static final int HEXADECIMALLONG

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### UNSIGNED_HEXADECIMALINT

          static final int UNSIGNED_HEXADECIMALINT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### UNSIGNED_HEXADECIMALLONG

          static final int UNSIGNED_HEXADECIMALLONG

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FLOATONE

          static final int FLOATONE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FLOATTWO

          static final int FLOATTWO

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CHARACTER

          static final int CHARACTER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING

          static final int STRING

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ID

          static final int ID

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DEFAULT

          static final int DEFAULT

      Lexical state.
      See Also:
        Constant Field Values

    - #### IN_LINE_COMMENT

          static final int IN_LINE_COMMENT

      Lexical state.
      See Also:
        Constant Field Values

    - #### IN_COMMENT

          static final int IN_COMMENT

      Lexical state.
      See Also:
        Constant Field Values

    - #### IN_PREPROCESSOR_OUTPUT_COMMENT

          static final int IN_PREPROCESSOR_OUTPUT_COMMENT

      Lexical state.
      See Also:
        Constant Field Values

    - #### PREPROCESSOR_OUTPUT

          static final int PREPROCESSOR_OUTPUT

      Lexical state.
      See Also:
        Constant Field Values

    - #### tokenImage

          static final String[] tokenImage

      Literal token values.

Copyright © 2002-2013 InfoEther. All Rights Reserved.